# Yahoo! UI Library

### dom 2.6.0

Yahoo! UI Library > dom > YAHOO.util.Point

Show Private Show Protected Show Deprecated

## Class YAHOO.util.Point - extends YAHOO.util.Region

A point is a region that is special in that it represents a single point on the grid.

### Constructor

YAHOO.util.Point `( x , y )`

Parameters:
  `x <Int>` The X position of the point
  `y <Int>` The Y position of the point

### Properties

#### x `- Int`

The X position of the point, which is also the right, left and index zero (for Dom.getXY symmetry)

#### y `- Int`

The Y position of the point, which is also the top, bottom and index one (for Dom.getXY symmetry)

#### Properties inherited from YAHOO.util.Region:

`0, 1, bottom, left, right, top`

#### Methods inherited from YAHOO.util.Region:

`contains, getArea, intersect, toString, union`

Copyright © 2008 Yahoo! Inc. All rights reserved.